package cn.datax.learning.design.patterns.behavioral.visitor;

/**
 * 访问者模式（Visitor Pattern）
 */
public class VisitorPatternDemo {

    public static void main(String[] args) {
        ComputerPart computer = new Computer();
        computer.accept(new ComputerPartDisplayVisitor());
    }
}
